### File

`src/dashboard/dashboard.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
entryComponents | `DatablockViewComponent` `PresetFilterViewComponent` `CommentsListDefaultComponent`
selector | `dashboard`
styleUrls | `dashboard.component.scss`
templateUrl | `./dashboard.component.html`

### Index

###### Properties
overTheCracks
###### Methods
Public getCurrentSlideGridCode Public getCurrentSlidePageCode Public getDashboard Public getDatablockViewComponentList Public getDatablockViewList Public getPresetFilterViewList Public jumpTo Public jumpToPageNumber Public refresh Public render
###### Inputs
afterPageChange afterRenderJumpToPageCode afterUpdate dashboardCode dashboardPlan externalPresetFilters genericDashboard lazyLoading loaderHTML pageCode presetFiltersMappingValue readOnly

### Constructor

`constructor(sdkConfig: SdkConfigService, compilerService: CompilerService, componentFactoryResolver: ComponentFactoryResolver)`
Constructor. Generates the div identifier. Parameters :
Name | Type | Optional
sdkConfig | `SdkConfigService` | no
compilerService | `CompilerService` | no
componentFactoryResolver | `ComponentFactoryResolver` | no

### Inputs

`afterPageChange` | Type: `function`

`afterRenderJumpToPageCode` | Type: `string`

`afterUpdate` | Type: `function`

`dashboardCode` | Type: `string`

`dashboardPlan` | Type: `any`

`externalPresetFilters` | Type: `Array<PresetFilter>`

`genericDashboard` | Type: `GenericDashboard` Default value: `new GenericDashboard()`

`lazyLoading` | Type: `boolean`

`loaderHTML` | Type: `string`

`pageCode` | Type: `string`

`presetFiltersMappingValue` | Type: `PresetFilterMappingValue`

`readOnly` | Type: `boolean` Default value: `true`

### Methods

Public getCurrentSlideGridCode
`getCurrentSlideGridCode()`
Get current slide grid code Returns : `string`

Public getCurrentSlidePageCode
`getCurrentSlidePageCode()`
Get current slide page code Returns : `string`

Public getDashboard
`getDashboard()`
Getter for dashboard. Returns : `GenericDashboard`

Public getDatablockViewComponentList
`getDatablockViewComponentList()`
Get datablockViewComponent Returns : `ReplaySubject<Array<DatablockViewComponent>>`

Public getDatablockViewList
`getDatablockViewList()`
Get datablockView Returns : `ReplaySubject<Array<DatablockView>>`

Public getPresetFilterViewList
`getPresetFilterViewList()`
Get presetFilterView Returns : `ReplaySubject<Array<PresetFilterView>>`

Public jumpTo
`jumpTo(pageCode: string)`
Jump to slideshow page x Parameters :
Name | Type | Optional
pageCode | `string` | no
Returns : `void`

Public jumpToPageNumber
`jumpToPageNumber(index: string)`
Jump to slideshow page number x (starting at 1 for the first slide) Parameters :
Name | Type | Optional
index | `string` | no
Returns : `void`

Public refresh
`refresh()`
Call refresh on dashboard. Returns : `void`

Public render
`render(atPage?: string)`
Render the current generic dashboard Parameters :
Name | Type | Optional
atPage | `string` | yes
Returns : `void`

### Properties

overTheCracks
`overTheCracks: `ViewContainerRef``
Type : `ViewContainerRef`
Decorators : `ViewChild`

# results matching ""

# No results matching ""